--- user-service

alter table users add "type" varchar(255);
update users set "type" = 'user';

-- user-service-token

create table user_service_tokens (
    id bigint primary key,
    user_id bigint not null references users(id),
    token varchar(1024) not null,
    deleted boolean not null,

    created_at timestamptz not null,
    deleted_at timestamptz
);

create sequence user_service_tokens_id_seq;
create index user_service_tokens_user_ix on user_service_tokens(user_id);
create unique index user_service_tokens_uniq on user_service_tokens(token);
